DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# Skewing

Interpolation function

## SYNOPSIS

`#include "dip_math.h"` `#include "dip_interpolation.h"`

dip_Error dip_Skewing ( in, out, shear, skew, axis, method, bgval, periodicSkew )

## DATA TYPES

binary, integer, float

## FUNCTION

This function skews the axis `axis` of `in` over an angle `angle` to `out` using the interpolation method `method`. The skew is over the centre of the image. If `periodicSkew` is set to `DIP_TRUE`, the output image will be of the same size as the input image, and its pixels in the `skew` dimension wrapped around the image boundaries. `bgval` is not used in this case.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in` | Input image
`dip_Image` | `out` | Output image
`dip_float` | `shear (radians)` | Shear angle
`dip_int` | `skew` | Skew dimension
`dip_int` | `axis` | Skew axis
`dipf_Interpolation` | `method` | Interpolation method
`dip_BackgroundValue` | `bgval` | Background value
`dip_Boolean` | `periodicSkew` | Skew using periodic image boundaries

The enumerator `dip_FilterShape` contains the following constants:

Name | Description
`DIP_FLT_SHAPE_DEFAULT` | default structuring element, same as `DIP_FLT_SHAPE_RECTANGULAR`
`DIP_FLT_SHAPE_RECTANGULAR` | rectangular structuring element
`DIP_FLT_SHAPE_ELLIPTIC` | elliptic structuring element
`DIP_FLT_SHAPE_DIAMOND` | diamond shaped structuring element
`DIP_FLT_SHAPE_PARABOLIC` | parabolic structuring element
`DIP_FLT_SHAPE_STRUCTURING_ELEMENT` | use `se` as structuring element

The `dip_BackgroundValue` enumaration consists of the following flags:

Name | Description
`DIP_BGV_DEFAULT` | Default: fill with zeros
`DIP_BGV_ZERO` | Fill with zeros
`DIP_BGV_MAX_VALUE` | Fill with maximum value for data type
`DIP_BGV_MIN_VALUE` | Fill with minimum value for data type

## SEE ALSO

`Rotation`, `Rotation3d`, `Rotation3dAxis`

DIPlib on-line documentation | Function reference | Global function index